Get Additional Documents
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/accounts/get_additional \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/accounts/get_additional"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/accounts/get_additional', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"profile_key": "ARTICLES_OF_ASSOCIATION",
"profile_name": "Onboarding Test",
"profile_option": 1
}
]Account Center
Get Additional Documents
Retrieve the list of required and optional documents type for creating a company-type sub-account based on the specified country. This endpoint is only applicable to company-type sub-accounts. Individual-type sub-accounts do not require this API.
GET
/
v1
/
accounts
/
get_additional
Get Additional Documents
Authorizations
The API token for login provided by UQPay.
Query Parameters
The ISO 3166-1 alpha-2 country code (e.g., "SG", "US").
This value should match the company_info.country_of_incorporation field provided during Create SubAccount.
Business type code.
Available options:
BANKING, ACQUIRING Response
200 - application/json
OK
Unique key representing the profile or document type.
Example:
"ARTICLES_OF_ASSOCIATION"
Description of the file.
Example:
"Onboarding Test"
Indicates whether the document is required:
- 1: Required document (required_docs)
- 0: Optional document (option_docs)
Available options:
0, 1 Example:
1

